Skip to content

IAM  >  Operations  >  reject_delegation_request

reject_delegation_request

Operation

reject_delegation_request async

reject_delegation_request(request: RejectDelegationRequestInput | RejectDelegationRequestInputDict, /, *, plugins: list[Plugin] | None = None) -> RejectDelegationRequestOutput
reject_delegation_request(*, plugins: list[Plugin] | None = None, **kwargs: Unpack[RejectDelegationRequestInputDict]) -> RejectDelegationRequestOutput

Rejects a delegation request, denying the requested temporary access.

Once a request is rejected, it cannot be accepted or updated later. Rejected requests expire after 7 days.

When rejecting a request, an optional explanation can be added using the Notes request parameter.

For more details, see Managing Permissions for Delegation Requests.

Parameters:

Name Type Description Default
plugins list[Plugin] | None

A list of callables that modify the configuration dynamically. Changes made by these plugins only apply for the duration of the operation execution and will not affect any other operation invocations.

None

Returns:

Type Description
RejectDelegationRequestOutput

An instance of RejectDelegationRequestOutput.

Input

Pass the input fields as keyword arguments, or pass a model or dictionary as the first positional argument. Pass plugins separately as a keyword argument.

Model

RejectDelegationRequestInput dataclass

Bases: _SerdeShape

Dataclass for RejectDelegationRequestInput structure.

Attributes
delegation_request_id class-attribute instance-attribute
delegation_request_id: str | None = ...

The unique identifier of the delegation request to reject.

notes class-attribute instance-attribute
notes: str | None = ...

Optional notes explaining the reason for rejecting the delegation request.

Dictionaries

RejectDelegationRequestInputDict

Bases: TypedDict

Dictionary form of RejectDelegationRequestInput.

Attributes
delegation_request_id instance-attribute
delegation_request_id: Required[str]

The unique identifier of the delegation request to reject.

notes instance-attribute
notes: str | None

Optional notes explaining the reason for rejecting the delegation request.

Output

RejectDelegationRequestOutput dataclass

Bases: _SerdeShape

Dataclass for RejectDelegationRequestOutput structure.

Attributes

response_metadata class-attribute instance-attribute
response_metadata: ResponseMetadata = ...

Metadata about the response that produced this output. Use this to recover the request identifiers a service's support team needs in order to investigate a call. Members of the metadata are individually optional.